import { defineComponent as g, computed as p, createElementBlock as y, openBlock as i, normalizeClass as ee, createVNode as D, createCommentVNode as R, unref as o, mergeProps as S, toDisplayString as I, Fragment as te, withModifiers as P, createElementVNode as B, createBlock as E, resolveComponent as ne, withCtx as x, createTextVNode as z, ref as G, onBeforeMount as se, onBeforeUnmount as oe, watch as M, toValue as F } from "vue";
import { useI18n as L } from "vue-i18n";
import { b as W, I as X, as as re, ao as ae, o as ie, s as b, at as le, aM as ce, a as ue, a1 as de, a2 as pe, aa as me } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
import { C as V } from "./routeNames-EkLxv0O7.js";
import { B as fe } from "./base-zcRBXkwP.js";
import "@vuelidate/validators";
import "./TreeView.vue_vue_type_style_index_0_scoped_0bd14ef7_lang-CZieIjgg.js";
import "./DatahubDataTypeCompletenessRenderer.vue_vue_type_script_setup_true_lang-5buor0oX.js";
import "./topBarRoutes-CBd5qLxn.js";
import "./IsActiveStatusCell-xz7XnAYP.js";
import "./VariantToVariantExtension-DUC3WSrH.js";
import "./DatahubDataTypeVariantValueEditor-9WYNJneN.js";
import { d as Ee } from "./DynamicColumnDefinitions-CAkvUUJ0.js";
import "./dataTypes-DocW2t0g.js";
var k = /* @__PURE__ */ ((e) => (e.OK = "ok", e.WARNING = "warning", e.ERROR = "error", e))(k || {});
const he = { key: 0 }, ge = /* @__PURE__ */ g({
  __name: "ConnectionStatusCell",
  props: {
    row: {}
  },
  setup(e) {
    const t = e, { t: n } = L(), s = p(
      () => t.row.active ? {
        icon: "lucide:circle-check-big",
        label: n("channels-plugin.connection-status.active"),
        color: "primary"
      } : {
        icon: "lucide:x",
        label: n("channels-plugin.connection-status.inactive"),
        color: "disabled"
      }
    ), l = p(
      () => t.row.errorLog?.message?.slice(0, 40) || n("channels-plugin.connection-status.error")
    );
    return (r, a) => (i(), y("div", {
      class: ee(["d-flex align-center", { active: r.row.active }])
    }, [
      D(o(W), S(s.value, { class: "mr-2" }), null, 16),
      r.row.syncStatus === 1 ? (i(), y("span", he, I(o(n)("channels-plugin.connection-status.syncing")), 1)) : r.row.syncStatus === 2 ? (i(), y(te, { key: 1 }, [
        D(o(W), {
          icon: "lucide:circle-alert",
          color: "alert",
          label: l.value
        }, null, 8, ["label"]),
        D(o(X), {
          variant: "plain",
          color: "primary",
          to: {
            name: o(V).LOGGING_LOGS,
            params: r.row.errorLog?.id ? { intentId: r.row.errorLog?.id } : {}
          },
          text: o(n)("channels-plugin.connection-status.more"),
          onClick: a[0] || (a[0] = P(() => {
          }, ["stop", "prevent"]))
        }, null, 8, ["to", "text"])
      ], 64)) : R("", !0)
    ], 2));
  }
});
function q(e) {
  const t = e;
  t.__i18n = t.__i18n || [], t.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "channels-plugin": {
          "connection-status": {
            more: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "More..." } },
            inactive: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Inactive" } },
            active: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Active" } },
            syncing: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Synchronizing..." } },
            error: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Error" } }
          }
        }
      },
      "de-DE": {
        "channels-plugin": {
          "connection-status": {
            more: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Mehr..." } },
            inactive: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Inaktiv" } },
            active: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Aktiv" } },
            syncing: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Synchronisiere..." } },
            error: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Fehler" } }
          }
        }
      }
    }
  });
}
typeof q == "function" && q(ge);
const be = { class: "mr-2" }, Ce = /* @__PURE__ */ g({
  __name: "OrderReturnsHaveErrorsCell",
  props: {
    error: { type: Boolean }
  },
  setup(e) {
    const { t } = L();
    return (n, s) => (i(), y("span", null, [
      B("span", be, I(o(t)(`channels-plugin.channels-order-errors.${n.error ? "yes" : "no"}`)), 1),
      n.error ? (i(), E(o(X), {
        key: 0,
        variant: "plain",
        color: "primary",
        to: { name: o(V).LOGGING_ORDER_ERRORS },
        text: o(t)("channels-plugin.channels-order-errors.expandError"),
        onClick: s[0] || (s[0] = P(() => {
        }, ["stop", "prevent"]))
      }, null, 8, ["to", "text"])) : R("", !0)
    ]));
  }
});
function Y(e) {
  const t = e;
  t.__i18n = t.__i18n || [], t.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "channels-plugin": {
          "channels-order-errors": {
            expandError: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "More..." } },
            no: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "No" } },
            yes: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Yes" } }
          }
        }
      },
      "de-DE": {
        "channels-plugin": {
          "channels-order-errors": {
            expandError: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Mehr..." } },
            no: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Nein" } },
            yes: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Ja" } }
          }
        }
      }
    }
  });
}
typeof Y == "function" && Y(Ce);
var d = /* @__PURE__ */ ((e) => (e[e.NO_ERROR = 0] = "NO_ERROR", e[e.RECOVERING_ERROR = 1] = "RECOVERING_ERROR", e[e.HAS_ERROR = 2] = "HAS_ERROR", e[e.PENDING_FOR_UPLOAD = 3] = "PENDING_FOR_UPLOAD", e))(d || {}), $ = /* @__PURE__ */ ((e) => (e.MASTER = "master", e.CHILD = "child", e.SINGLE = "single", e))($ || {}), f = /* @__PURE__ */ ((e) => (e.NOT_AVAILABLE = "not_available", e.INACTIVE = "inactive", e.ACTIVE = "active", e.EDITED = "edited", e.DELETED = "deleted", e.PERMANENTLY_DELETED = "permdeleted", e))(f || {}), N = /* @__PURE__ */ ((e) => (e[e.NOT_IMPORTED = 0] = "NOT_IMPORTED", e[e.IMPORT = 1] = "IMPORT", e[e.COMPLETE = 2] = "COMPLETE", e[e.ERROR = 3] = "ERROR", e[e.CANCELED = 4] = "CANCELED", e))(N || {}), O = /* @__PURE__ */ ((e) => (e[e.NO_CHANGES = null] = "NO_CHANGES", e[e.BEING_EXPORTED = 1] = "BEING_EXPORTED", e[e.EXPORTED = 2] = "EXPORTED", e[e.ERROR = 3] = "ERROR", e))(O || {}), w = /* @__PURE__ */ ((e) => (e[e.NOT_EXPORTED = 0] = "NOT_EXPORTED", e[e.BEING_EXPORTED = 1] = "BEING_EXPORTED", e[e.EXPORTED = 2] = "EXPORTED", e[e.ERROR_DURING_EXPORT = 3] = "ERROR_DURING_EXPORT", e[e.CANCELED = 4] = "CANCELED", e))(w || {});
$.MASTER + "", $.CHILD + "", $.SINGLE + "";
const Re = "actindo-channels-connection-changes", _e = {
  [f.NOT_AVAILABLE]: {
    icon: "lucide:circle-dot",
    label: "channels-ui.channels-statuses.offer.not_available",
    color: "background_4"
  },
  [f.INACTIVE]: {
    icon: "lucide:circle-check-big",
    label: "channels-ui.channels-statuses.offer.inactive",
    color: "on_light"
  },
  [f.ACTIVE]: {
    icon: "lucide:circle-check-big",
    label: "channels-ui.channels-statuses.offer.active",
    color: "positive_gradient_1"
  },
  [f.EDITED]: {
    icon: "lucide:pencil",
    label: "channels-ui.channels-statuses.offer.edited",
    color: "positive_gradient_1"
  },
  [f.DELETED]: {
    icon: "lucide:circle-x",
    label: "channels-ui.channels-statuses.offer.deleted",
    color: "on_light"
  },
  [f.PERMANENTLY_DELETED]: {
    icon: "lucide:pencil",
    label: "channels-ui.channels-statuses.offer.permdeleted",
    color: "positive_gradient_1"
  }
}, J = {
  [d.NO_ERROR]: "",
  [d.RECOVERING_ERROR]: "lucide:circle-alert",
  [d.HAS_ERROR]: "lucide:circle-alert",
  [d.PENDING_FOR_UPLOAD]: ""
};
N.NOT_IMPORTED + "", N.IMPORT + "", N.COMPLETE + "", N.ERROR + "", N.CANCELED + "";
O.NO_CHANGES + "", O.BEING_EXPORTED + "", O.EXPORTED + "", O.ERROR + "";
w.NOT_EXPORTED + "", w.BEING_EXPORTED + "", w.EXPORTED + "", w.ERROR_DURING_EXPORT + "";
const v = -1;
k.OK + "", k.WARNING + "", k.ERROR + "";
const H = /* @__PURE__ */ g({
  __name: "OffersStatusElement",
  props: {
    exportStatus: {},
    status: {},
    pendingStatus: {}
  },
  setup(e) {
    const t = e, n = p(() => ({
      ..._e[t.status],
      label: t.exportStatus === d.RECOVERING_ERROR || t.exportStatus === d.HAS_ERROR ? "channels-ui.channels-statuses.offer.editedFailed" : "channels-ui.channels-statuses.offer.statusEdited"
    }));
    return (s, l) => (i(), E(o(re), { options: n.value }, null, 8, ["options"]));
  }
}), ve = { class: "d-flex align-center" }, ye = /* @__PURE__ */ g({
  __name: "OffersStatusColumn",
  props: {
    exportStatus: {},
    status: {},
    pendingStatus: {}
  },
  setup(e) {
    const t = e, n = p(
      () => t.pendingStatus?.includes(f.EDITED)
    );
    return (s, l) => (i(), y("div", ve, [
      D(H, { status: s.status }, null, 8, ["status"]),
      n.value ? (i(), E(H, {
        key: 0,
        status: o(f).EDITED,
        "export-status": s.exportStatus,
        class: "ml-2"
      }, null, 8, ["status", "export-status"])) : R("", !0)
    ]));
  }
}), K = (e, t) => e?.length > t ? `${e.slice(0, t - 3)}...` : e || "", De = /* @__PURE__ */ g({
  __name: "ErrorDetails",
  props: {
    row: {}
  },
  setup(e) {
    return (t, n) => {
      const s = ne("RouterLink");
      return t.row.numErrors === 1 && t.row.lastErrorLogIntentId ? (i(), E(s, {
        key: 0,
        to: {
          name: o(V).LOGGING_LOGS,
          params: {
            intentId: t.row.lastErrorLogIntentId,
            messageId: t.row.lastErrorLogId
          }
        },
        onClick: n[0] || (n[0] = P(() => {
        }, ["stop", "prevent"]))
      }, {
        default: x(() => [
          z(I(t.$t("channels-ui.channels-common.showLog")), 1)
        ]),
        _: 1
      }, 8, ["to"])) : t.row.numErrors >= 1 ? (i(), E(s, {
        key: 1,
        to: {
          name: o(V).LOGGING_OFFER_EXPORT_ERRORS,
          params: { logId: t.row.id }
        },
        onClick: n[1] || (n[1] = P(() => {
        }, ["stop", "prevent"]))
      }, {
        default: x(() => [
          z(I(t.$t("channels-ui.offers.errorList")), 1)
        ]),
        _: 1
      }, 8, ["to"])) : R("", !0);
    };
  }
}), Ne = { class: "d-flex align-center w-100" }, Ie = {
  key: 1,
  class: "mr-1"
}, Le = { class: "flex" }, Oe = { class: "shrink ml-1" }, we = /* @__PURE__ */ g({
  __name: "PendingStatusCell",
  props: {
    row: {},
    rowIndex: {},
    cell: {},
    cellValue: {}
  },
  setup(e) {
    const t = e, { t: n } = L(), s = p(
      () => t.row?.pendingStatus?.find((a) => a !== f.EDITED)
    ), l = p(
      () => t.row?.exportStatus === d.PENDING_FOR_UPLOAD
    ), r = p(() => {
      const { numErrors: a, exportStatus: c, lastErrorMessage: h } = t.row;
      if (h) {
        const u = K(h, 100), m = c === d.RECOVERING_ERROR ? n("channels-ui.offers.exportStatusWarningWithMessage", { message: u }) : n("channels-ui.offers.exportStatusFailedWithMessage", { message: u });
        return t.row.numErrors ? `${K(m, 70)} ${n(
          "channels-ui.offers.additionalErrors",
          {
            count: a - 1
          }
        )}}` : m;
      }
      return c === d.RECOVERING_ERROR ? n("channels-ui.offers.exportStatusWarning", { count: a }) : c === d.HAS_ERROR ? n("channels-ui.offers.exportStatusWarningFailed", {
        count: a
      }) : "";
    });
    return (a, c) => (i(), y("div", Ne, [
      s.value ? (i(), E(H, {
        key: 0,
        status: s.value
      }, null, 8, ["status"])) : R("", !0),
      l.value ? (i(), y("span", Ie, I(a.$t("channels-ui.channels-table.changesTransmittedPending")), 1)) : R("", !0),
      o(J)[a.row.exportStatus] ? (i(), E(o(ae), {
        key: 2,
        icon: o(J)[a.row.exportStatus],
        class: "mr-1"
      }, null, 8, ["icon"])) : R("", !0),
      B("div", Le, [
        B("div", Oe, I(r.value), 1),
        D(De, { row: a.row }, null, 8, ["row"])
      ])
    ]));
  }
}), Ge = /* @__PURE__ */ ie(we, [["__scopeId", "data-v-2f542272"]]), C = `${fe}Connections.`, Z = {
  /** The type of the connections is defined by the inheriting class this function is called from You can retrieve all configured channel connections and optionally filter them by various criteria. */
  async listConnections(e) {
    return b.post(`${C}listConnections`, e);
  },
  /** List all channel connections of all types */
  async listAllConnections(e) {
    return b.post(`${C}listAllConnections`, e);
  },
  /** Sets the interval how often the order import is triggered for the given connection. */
  async setOrderDownloadInterval(e, t) {
    return b.post(`${C}setOrderDownloadInterval`, {
      id: e,
      interval: t
    });
  },
  /** Sets the interval how often the returns import is triggered for the given connection. */
  async setReturnDownloadInterval(e, t) {
    return b.post(`${C}setReturnDownloadInterval`, {
      id: e,
      interval: t
    });
  },
  /** Retrieve the url to the actindo store where you can find drivers for Omni-Channel */
  async getAppStoreDriversURL() {
    return b.post(`${C}getAppStoreDriversURL`);
  },
  /** Enable or disable the given connection, no synchronization is triggered by this operation. */
  async setActive(e, t) {
    return b.post(`${C}setActive`, { id: e, active: t });
  },
  /** Enable or disable the given connection, no synchronization is triggered by this operation. */
  async createSyncConnectionJob(e) {
    return b.post(`${C}createSyncConnectionJob`, {
      connectionId: e
    });
  },
  /** Delete connection */
  async delete(e) {
    return b.post(`${C}delete`, {
      connection: { id: e }
    });
  }
}, ke = (e, t) => {
  const { t: n } = L(), s = new le(), l = G(!1), r = G([]), a = p(
    () => [
      {
        name: n("channels-plugin.connection-selector.allConnections"),
        id: v
      },
      ...r.value
    ]
  ), c = G(v), h = p({
    get: () => c.value !== v ? c.value : void 0,
    set: (_) => c.value = _ ?? v
  });
  async function u(_) {
    try {
      l.value = !0;
      const A = F(t) ? Z.listAllConnections : Z.listConnections, { data: T } = await A(F(_));
      r.value = T;
    } catch (A) {
      console.error(A);
    } finally {
      l.value = !1;
    }
  }
  const m = ce(
    Re,
    () => u(e)
  );
  return se(() => s.subscribe(m)), oe(() => s.unsubscribe(m)), M(e, u, { immediate: !0 }), {
    connections: r,
    connectionItems: a,
    selectedConnection: c,
    selectedConnectionId: h,
    isConnectionsLoading: l,
    fetchConnections: u
  };
}, $e = /* @__PURE__ */ g({
  __name: "ConnectionsSelector",
  props: {
    modelValue: {},
    query: {},
    allConnections: { type: Boolean },
    fetch: { type: Boolean }
  },
  emits: ["update:model-value", "connection"],
  setup(e, { emit: t }) {
    const n = e, s = t, { t: l } = L(), { connectionItems: r, isConnectionsLoading: a, fetchConnections: c } = ke(
      () => n.query,
      () => n.allConnections
    ), h = p({
      get: () => n.modelValue ?? v,
      set: (u) => {
        const m = r.value.find(
          ({ id: _ }) => _ === u
        );
        s("update:model-value", u === v ? void 0 : u), s("connection", m);
      }
    });
    return M(r, () => {
      r.value.length === 1 && h.value === v && (h.value = r.value[0].id);
    }), M(
      () => n.fetch,
      () => c(() => n.query)
    ), (u, m) => (i(), E(o(ue), {
      modelValue: h.value,
      "onUpdate:modelValue": m[0] || (m[0] = (_) => h.value = _),
      items: o(r),
      loading: o(a),
      label: o(l)("channels-plugin.connection-selector.connection"),
      "item-title": "name",
      "item-value": "id",
      "max-width": "280",
      "page-size": ""
    }, null, 8, ["modelValue", "items", "loading", "label"]));
  }
});
function j(e) {
  const t = e;
  t.__i18n = t.__i18n || [], t.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "channels-plugin": {
          "connection-selector": {
            allConnections: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "All connections" } },
            connection: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Connection" } }
          }
        }
      },
      "de-DE": {
        "channels-plugin": {
          "connection-selector": {
            allConnections: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Alle Verbindungen" } },
            connection: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Verbindung" } }
          }
        }
      }
    }
  });
}
typeof j == "function" && j($e);
const Pe = {
  gridId: "pim-channels-connection-data-type-offers-table",
  rowSelection: pe.NONE,
  hideGlobalSearch: !1,
  hideFilters: !0,
  hideColumnCustomization: !1,
  sortType: de.SINGLE,
  exactRowCount: !0,
  dynamicColumnsEndpoint: Ee.getColumnDefinitions,
  entityTypeClassName: "Actindo\\Modules\\Actindo\\Channels\\Models\\Offer",
  createActions: !1,
  // @todo unready - currently not working on old UI
  columns: [
    {
      id: "id",
      header: "common.id",
      isVisible: !1,
      filterable: !1,
      sortable: !0
    },
    {
      id: "dependentEntity.sku",
      header: "datahub-ui.dh-shared.sku",
      filterable: !1,
      sortable: !0
    },
    {
      id: "status",
      header: "datahub-ui.dh-table.status",
      filterable: !1,
      sortable: !1
    },
    {
      id: "pendingStatus",
      header: "pim-channels-plugin.channels-from-pim-wizard.pendingStatus",
      filterable: !1,
      sortable: !0
    },
    {
      id: "dependentEntity.connection.name",
      header: "pim-channels-plugin.channels-from-pim-wizard.connection",
      filterable: !1,
      sortable: !0
    },
    {
      id: "dependentEntity.attributeSet.name",
      header: "datahub-ui.dh-shared.attributeSet",
      filterable: !1,
      sortable: !0
    },
    {
      id: "dependentEntity.created",
      header: "common.created",
      isVisible: !1,
      filterable: !1,
      sortable: !0
    },
    {
      id: "dependentEntity.createdByUsername",
      header: "datahub-ui.dh-table.createdByUsername",
      isVisible: !1,
      filterable: !1,
      sortable: !0
    },
    {
      id: "dependentEntity.modified",
      header: "pim-channels-plugin.channels-from-pim-wizard.lastEdited",
      filterable: !1,
      sortable: !0
    },
    {
      id: "dependentEntity.modifiedByUsername",
      header: "datahub-ui.dh-table.modifiedByUsername",
      isVisible: !1,
      filterable: !1,
      sortable: !0
    },
    {
      id: "changeTracking",
      header: "datahub-ui.dh-table.changeTracking",
      filterable: !1,
      sortable: !0,
      renderer: "ChangeTrackingModeStatusCell"
    }
  ]
}, U = /* @__PURE__ */ g({
  __name: "PimChannelsConnectionDataTypeOffersList",
  props: {
    pimProductId: { default: void 0 },
    offersController: { default: "Actindo.Modules.Actindo.Channels.Offers" },
    getOffersMethod: { default: "getOffers" },
    remoteParams: { default: () => ({}) }
  },
  emits: ["createOffer"],
  setup(e) {
    return L(), (t, n) => (i(), E(o(me), S({
      data: `${t.offersController}${t.getOffersMethod}`,
      "custom-query": t.remoteParams
    }, o(Pe)), {
      "cell-status": x(({ row: s }) => [
        D(o(ye), {
          status: s.dependentEntity.deletedAt ? "deleted" : s.dependentEntity.status,
          "pending-status": s.dependentEntity.desiredStatus ? [s.dependentEntity.desiredStatus] : [s.dependentEntity.pendingStatus],
          "export-status": s.dependentEntity.exportStatus
        }, null, 8, ["status", "pending-status", "export-status"])
      ]),
      "cell-pendingStatus": x(({ row: s }) => [
        D(o(Ge), { row: s }, null, 8, ["row"])
      ]),
      _: 1
    }, 16, ["data", "custom-query"]));
  }
});
function Q(e) {
  const t = e;
  t.__i18n = t.__i18n || [], t.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "pim-channels-plugin": {
          "channels-from-pim-wizard": {
            pendingStatus: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Pending status/Errors" } },
            connection: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Connection" } },
            lastEdited: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Last edited" } }
          }
        }
      },
      "de-DE": {
        "pim-channels-plugin": {
          "channels-from-pim-wizard": {
            pendingStatus: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Ausstehende Status/Fehler" } },
            connection: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Verbindung" } },
            lastEdited: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Zuletzt bearbeitet" } }
          }
        }
      }
    }
  });
}
typeof Q == "function" && Q(U);
const Se = /* @__PURE__ */ g({
  __name: "PimChannelsConnectionDataTypeProductToOfferValueEditor",
  props: {
    pimProductId: { default: void 0 },
    offersController: { default: "Actindo.Extensions.Actindo.PimChannelsConnection.Offers." },
    getOffersMethod: { default: "getOffersForPimProduct" }
  },
  setup(e) {
    const t = e, n = G(!1), s = p(
      () => t.pimProductId && !n.value ? {
        pimProductId: t.pimProductId,
        serializeOptionals: ["dependentEntity"]
      } : {}
    );
    return (l, r) => l.pimProductId ? (i(), E(U, {
      key: 0,
      "pim-product-id": l.pimProductId,
      "offers-controller": l.offersController,
      "get-offers-method": l.getOffersMethod,
      "remote-params": s.value
    }, null, 8, ["pim-product-id", "offers-controller", "get-offers-method", "remote-params"])) : R("", !0);
  }
});
export {
  Se as default
};
